Bug 74765 - kudzu would not load the module for my SB Live sound card.
kudzu would not load the module for my SB Live sound card.
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-10-01 11:30 EDT by Jesse Keating
Modified: 2014-03-16 22:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-04 17:57:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2002-10-01 11:30:56 EDT
Description of problem:
I installed Red Hat Linux 8.0 on my workstation.  This PC has a SB Live! sound
card in it.  Upon booting Red Hat Linux 8.0, firstboot ran.  At the sound test
page, it showed that my sound card was a SB Live! sound card, but that the
module was not loaded.  Further investigation into /etc/modules.conf did not
list there being a sound card.  I rebooted to see if there was any change, but
it still was not "found".  I then logged in as root, and manually ran "kudzu"
without any options, and kudzu found both my eepro100 network card and my SB
Live! sound card, and loaded the proper modules, and made the proper entries
into /etc/modules.conf.

This bug might be related to <a
href="https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=74723">bug 74723</a>.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:

If I had a spare PC with this setup, I would try to reproduce the bug.  It was a
clean install, so doing an "upgrade" install probably wouldn't be a very good
"repro" test.
Comment 1 djh 2002-10-02 04:41:50 EDT
Same thing happened here..

firstboot correctly identified the SBLive, but didn't even attempt to load the

(from /sbin/lspci)
00:0f.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
Comment 2 Kevin Davies 2002-12-22 17:32:27 EST
I have the same problem with an SBLive 5.1 card. It appears to be listed 
correctly in the hwconf file maintained by kudzu but still the moduel emu10k1 
is not loading on boot. I have to modprobe the module to get it to load and 
then I have sound.
Comment 3 Bill Nottingham 2005-02-04 17:57:41 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please attempt to confirm with more recent releases.

Note You need to log in before you can comment on or make changes to this bug.